CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2009-0922

PostgreSQL before 8.3.7, 8.2.13, 8.1.17, 8.0.21, and 7.4.25 allows remote authenticated users to cause a denial of service (stack consumption and crash) by triggering a failure in the conversion of a localized error message to a client-specified encoding, as demonstrated using mismatched encoding conversion requests.
Publish Date : 2009-03-17 Last Update Date : 2018-10-10
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 399

- Vendor Statements

This issue has been addressed in Red Hat Enterprise Linux 4 and 5 via: https://rhn.redhat.com/errata/RHSA-2009-1484.html and in Red Hat Application Stack v2 via: https://rhn.redhat.com/errata/RHSA-2009-1067.html
Source: Redhat

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat low
4.0
AV:N/AC:L/Au:S/C:N/I:N/A:P 2009-02-27 2009-02-27
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2009-0922 oval:org.opensuse.security:def:20090922 unix
ELSA-2009:1484: postgresql security update (Moderate) oval:org.mitre.oval:def:22642 unix
PostgreSQL before 8.3.7, 8.2.13, 8.1.17, 8.0.21, and 7.4.25 allows remote authenticated users to cause a denial of servi... oval:org.mitre.oval:def:10874 unix
RHSA-2009:1484 -- postgresql security update (Moderate) oval:org.mitre.oval:def:28941 unix
RHSA-2009:1484: postgresql security update (Moderate) oval:com.redhat.rhsa:def:20091484 unix
Security Vulnerability in PostgreSQL Shipped with Solaris may Allow a Denial of Service (DoS) oval:org.mitre.oval:def:6252 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2009-0922

# Product Type Vendor Product Version Update Edition Language
1 Application Postgresql Postgresql 7.4.24 Version Details Vulnerabilities
2 Application Postgresql Postgresql 8.0.20 Version Details Vulnerabilities
3 Application Postgresql Postgresql 8.1.16 Version Details Vulnerabilities
4 Application Postgresql Postgresql 8.2.12 Version Details Vulnerabilities
5 Application Postgresql Postgresql 8.3.6 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Postgresql Postgresql 5

- References For CVE-2009-0922

https://bugzilla.redhat.com/show_bug.cgi?id=488156 CONFIRM
https://www.redhat.com/archives/fedora-package-announce/2009-March/msg00810.html
FEDORA FEDORA-2009-2927
https://www.redhat.com/archives/fedora-package-announce/2009-March/msg00843.html
FEDORA FEDORA-2009-2959
http://lists.opensuse.org/opensuse-security-announce/2009-04/msg00010.html
SUSE SUSE-SR:2009:009
http://www.vupen.com/english/advisories/2009/1316
VUPEN ADV-2009-1316
http://www.vupen.com/english/advisories/2009/0767
VUPEN ADV-2009-0767
http://www.redhat.com/support/errata/RHSA-2009-1067.html
REDHAT RHSA-2009:1067
http://www.securityfocus.com/archive/1/503598/100/0/threaded
BUGTRAQ 20090519 rPSA-2009-0086-1 postgresql postgresql-contrib postgresql-server
http://www.securityfocus.com/bid/34090
BID 34090 PostgreSQL Conversion Encoding Remote Denial of Service Vulnerability Release Date:2012-07-02
http://www.securitytracker.com/id?1021860
SECTRACK 1021860
http://www.postgresql.org/about/news.1065 CONFIRM
http://www.openwall.com/lists/oss-security/2009/03/11/4
MLIST [oss-security] 20090311 CVE request -- postgresql
http://sunsolve.sun.com/search/document.do?assetkey=1-66-258808-1
SUNALERT 258808
http://sunsolve.sun.com/search/document.do?assetkey=1-77-1020455.1-1
SUNALERT 1020455
http://wiki.rpath.com/Advisories:rPSA-2009-0086 CONFIRM
http://www.mandriva.com/security/advisories?name=MDVSA-2009:079
MANDRIVA MDVSA-2009:079
http://marc.info/?l=bugtraq&m=134124585221119&w=2
HP HPSBMU02781
http://archives.postgresql.org//pgsql-bugs/2009-02/msg00176.php
MLIST [pgsql-bugs] 20090227 Re: BUG #4680: Server crashed if using wrong (mismatch) conversion functions
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=517405 CONFIRM
http://archives.postgresql.org/pgsql-bugs/2009-02/msg00172.php
MLIST [pgsql-bugs] 20090227 BUG #4680: Server crashed if using wrong (mismatch) conversion functions

- Metasploit Modules Related To CVE-2009-0922

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.